/************************************************************************
 *                                                                      *
 *  common.h  ---  common header file.                                  *
 *                                                                      *
 *  This file declares common variables and constants for *.c           *
 *                                                                      *
 *  This file is part of the control/rt_control/xcontrol package which  *
 *  is free software; you can redistribute it and/or modify it under    *
 *  the terms of the version 2 of GNU General Public License as         *
 *  published by the Free Software Foundation.                          *
 *                                                                      *
 *  This program is distributed in the hope that it will be useful,     *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       *
 *  GNU General Public License for more details.                        *
 *                                                                      *
 *  You should have received a copy of the GNU General Public License   *
 *  along with the control/rt_control/xcontrol package; if not, write   *
 *  to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge,     *
 *  MA 02139, USA.                                                      *
 *                                                                      *
 *  Copyleft 1999                                                       *
 *  Peter Wurmsdobler                                                   *
 *                                                                      *
 ************************************************************************/

#include "Xcontrol-english.h"

/* 
 *	FILTER status used by control.o and rt_control.o
 */
#define TS        ( 100 )      /* sampling period in us */
#define ORDER     ( 2 )        /* control order! */
#define LENGTH    ( ORDER+1 )  /* length of buffer and parameter vector */
#define SAMPLES   ( 10000 )    /* maximal Xcontrol sample number */


/*
 *	 And now some general macros
 */
#define MINMAX(min,x,max)   \
    if ((x)<(min)) (x)=(min); if ((x)>(max)) (x)=(max);

