/************************************************************************
 *                                                                      *
 *  control.h  --  header file for control.c                            *
 *                                                                      *
 *  This file is part of the control/rt_control/xcontrol package which  *
 *  is free software; you can redistribute it and/or modify it under    *
 *  the terms of the version 2 of GNU General Public License as         *
 *  published by the Free Software Foundation.                          *
 *                                                                      *
 *  This program is distributed in the hope that it will be useful,     *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       *
 *  GNU General Public License for more details.                        *
 *                                                                      *
 *  You should have received a copy of the GNU General Public License   *
 *  along with the control/rt_control/xcontrol package; if not, write   *
 *  to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge,     *
 *  MA 02139, USA.                                                      *
 *                                                                      *
 *  Copyleft 1999                                                       *
 *  Peter Wurmsdobler                                                   *
 *                                                                      *
 ************************************************************************/


/*	
 *	control speed set used in Xcontrol_window.c
 */
int control_set_w( void );


/*	
 *	control amplitude set used in Xcontrol_window.c
 */
int control_set_N( void );


/*	
 *	control phase set used in Xcontrol_window.c
 */
int control_set_ab( void );


/*	
 *	control measure start
 */
void control_start( void );


/*	
 *	control measure stop
 */
void control_stop( void );


/*	
 *	initialize  for xcontrol.c
 */
void control_init( void );


/*	
 *	cleanup for Xcontrol.c
 */
void control_cleanup( void );

