/************************************************************************
 *                                                                      *
 *  fifos.h  ---  header file for messaging of events passed through    *
 *  the rtl_fifos between rt_control.c and control.c.                   *
 *                                                                      *
 *  This file is part of the control/rt_control/xcontrol package which  *
 *  is free software; you can redistribute it and/or modify it under    *
 *  the terms of the version 2 of GNU General Public License as         *
 *  published by the Free Software Foundation.                          *
 *                                                                      *
 *  This program is distributed in the hope that it will be useful,     *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       *
 *  GNU General Public License for more details.                        *
 *                                                                      *
 *  You should have received a copy of the GNU General Public License   *
 *  along with the control/rt_control/xcontrol package; if not, write   *
 *  to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge,     *
 *  MA 02139, USA.                                                      *
 *                                                                      *
 *  Copyleft 1999                                                       *
 *  Peter Wurmsdobler                                                   *
 *                                                                      *
 ************************************************************************/

/*
 *	FIFOS used between rt_control and Xmxm
 */
#define FIFO_SIZE		(5000)			/* byte size for fifo buffer */
#define CONTROL_FIFO	(0)				/* for passing messages to rt_control */
#define CONTROL_FILE	"/dev/rtf0"
#define EVENT_FIFO		(1)				/* for triggering events in Xcontrol */
#define EVENT_FILE		"/dev/rtf1"


/*
 *	Control messages passed by the X-applications to the real time module
 */
#define START_CONTROL    ('a')    /* xcontrol -> rtl_control */
#define STOP_CONTROL     ('b')    /* xcontrol -> rtl_control */
#define TRIGGER_MEASURE  ('c')    /* xcontrol -> rtl_control */

/*
 *	Event messages passed to the X-applications in order to trigger
 *	an event, even in case of an error.
 */
#define MEASURE_READY    ('a')    /* rtl_control -> xcontrol */
#define INVALID_MESSAGE  ('b')    /* rtl_control -> xcontrol */
