/************************************************************************
 *                                                                      *
 *  main.c --- the main file for xcontrol.                              *
 *                                                                      *
 *  This file declares common variables and constants for *.c           *
 *                                                                      *
 *  This file is part of the control/rt_control/xcontrol package which  *
 *  is free software; you can redistribute it and/or modify it under    *
 *  the terms of the version 2 of GNU General Public License as         *
 *  published by the Free Software Foundation.                          *
 *                                                                      *
 *  This program is distributed in the hope that it will be useful,     *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       *
 *  GNU General Public License for more details.                        *
 *                                                                      *
 *  You should have received a copy of the GNU General Public License   *
 *  along with the control/rt_control/xcontrol package; if not, write   *
 *  to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge,     *
 *  MA 02139, USA.                                                      *
 *                                                                      *
 *  Copyleft 1999                                                       *
 *  Peter Wurmsdobler                                                   *
 *                                                                      *
 ************************************************************************/

#include <stdio.h>
#include <gtk/gtk.h>
#include <gtkplot.h>
#include <gtkplotlayout.h>
#include "common.h"
#include "control.h"
#include "xcontrol.h"
#include "measure.h"

/*
 *	Debug macros for main
 */
//#define MAIN_DEBUG
#ifdef MAIN_DEBUG
	#define DPRINTF0(message)		printf(message)
	#define DPRINTF1(message,a)		printf(message,a)
	#define DPRINTF2(message,a,b)	printf(message,a,b)
#else
	#define DPRINTF0(message)
	#define DPRINTF1(message,a)
	#define DPRINTF2(message,a,b)
#endif

/*
 *	the main function which no arguments defined
 */
int main (int argc, char *argv[])
	{
	DPRINTF0("gtk_init(&argc, &argv)\n");
	gtk_init(&argc, &argv);

	DPRINTF0("control_init()\n");
	control_init();
  	
	DPRINTF0("main_window_create()\n");
	xcontrol_init();
 
	DPRINTF0("output_window_plot_create()\n");
	measure_init();

	DPRINTF0("gtk_main()\n");
	gtk_main();

	DPRINTF0("control_cleanup()\n");
	control_cleanup();

  	return 0;
	}
