/************************************************************************
 *                                                                      *
 *  measure.h  --- header file for measure.c.                           *
 *                                                                      *
 *  This file is part of the control/rt_control/xcontrol package which  *
 *  is free software; you can redistribute it and/or modify it under    *
 *  the terms of the version 2 of GNU General Public License as         *
 *  published by the Free Software Foundation.                          *
 *                                                                      *
 *  This program is distributed in the hope that it will be useful,     *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       *
 *  GNU General Public License for more details.                        *
 *                                                                      *
 *  You should have received a copy of the GNU General Public License   *
 *  along with the control/rt_control/xcontrol package; if not, write   *
 *  to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge,     *
 *  MA 02139, USA.                                                      *
 *                                                                      *
 *  Copyleft 1999                                                       *
 *  Peter Wurmsdobler                                                   *
 *                                                                      *
 ************************************************************************/


/*
 *	definition of widgets for force measure window
 */
extern GtkWidget *Measure_Quit_Menu;
extern GtkWidget *Measure_Print_Menu;
extern GtkWidget *Measure_Export_Menu;
extern GtkWidget *Measure_File; 
extern GtkWidget *Measure_Menu_File; 
extern GtkWidget *Measure_Menu;
extern GtkWidget *Measure_Window;
extern GtkWidget *Measure_Window;
extern GtkWidget *Measure_Container;
extern GtkWidget *Measure_Vbox;
extern GtkWidget *Measure_Scrollw;
extern GtkWidget *Measure_Layout;
extern GtkWidget *Measure_Y_Graph;
extern GtkWidget *Measure_U_Graph;


/* 
 *	attributes of plots 
 */
extern GtkPlotData *Measure_Y_Dataset;
extern GtkPlotData *Measure_U_Dataset;

/*
 *	vector of points to plot
 */
extern GtkPlotPoint y[SAMPLES];
extern GtkPlotPoint u[SAMPLES];

extern GdkColor point_color;
extern GdkColor y_color;
extern GdkColor u_color;

extern void measure_show( void );
extern int measure_init( void );
