/************************************************************************
 *                                                                      *
 *  misc.c  --  This file contain miscellaneous functions which can     *
 *  be used in all files.                                               *
 *                                                                      *
 *  This file is part of the control/rt_control/xcontrol package which  *
 *  is free software; you can redistribute it and/or modify it under    *
 *  the terms of the version 2 of GNU General Public License as         *
 *  published by the Free Software Foundation.                          *
 *                                                                      *
 *  This program is distributed in the hope that it will be useful,     *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       *
 *  GNU General Public License for more details.                        *
 *                                                                      *
 *  You should have received a copy of the GNU General Public License   *
 *  along with the control/rt_control/xcontrol package; if not, write   *
 *  to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge,     *
 *  MA 02139, USA.                                                      *
 *                                                                      *
 *  Copyleft 1999                                                       *
 *  Peter Wurmsdobler                                                   *
 *                                                                      *
 ************************************************************************/

#include <math.h>
#include <stdlib.h>
#include <stdio.h>
#include <gtk/gtk.h>
#include "common.h"

/*
 *	Debug macros for 
 */
//#define MISC_DEBUG
#ifdef MISC_DEBUG
	#define DPRINTF0(message)		printf(message)
	#define DPRINTF1(message,a)		printf(message,a)
	#define DPRINTF2(message,a,b)	printf(message,a,b)
#else
	#define DPRINTF0(message)
	#define DPRINTF1(message,a)
	#define DPRINTF2(message,a,b)
#endif


/************************************************************************ 
 *  conversion functions                                                *
 ************************************************************************/

/* 
 *	function which converts string to double
 */
gfloat gchar2gfloat( gchar instring[20] )
	{
	gfloat value;
	value = (gfloat) ( atof( instring ) );
	return value;
	}

/*
 *	function which converts string to integer
 */
gfloat gchar2gint( gchar instring[20] )
	{
	gint value;
	value = (gint) ( atoi( instring ) );
	return value;
	}


gchar outstring[20];

/*
 *	function which converts double to string
 */
gchar * gfloat2gchar( gfloat value, gint format )
	{
	sprintf( outstring, "%.*f" , format, value );
	return (gchar *)(outstring);
	}
	
/*
 *	function which converts integer to string
 */
gchar * gint2gchar( gint value )
	{
	sprintf(outstring,"%d",value);
	return (gchar *)(outstring);
	}
	
