/************************************************************************
 *                                                                      *
 *  rt_bmc1000.h  ---  header file for rt_bmc1000.c                     *
 *                                                                      *
 *  This file is part of the control/rt_control/xcontrol package which  *
 *  is free software; you can redistribute it and/or modify it under    *
 *  the terms of the version 2 of GNU General Public License as         *
 *  published by the Free Software Foundation.                          *
 *                                                                      *
 *  This program is distributed in the hope that it will be useful,     *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       *
 *  GNU General Public License for more details.                        *
 *                                                                      *
 *  You should have received a copy of the GNU General Public License   *
 *  along with the control/rt_control/xcontrol package; if not, write   *
 *  to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge,     *
 *  MA 02139, USA.                                                      *
 *                                                                      *
 *  Copyleft 1999                                                       *
 *  Peter Wurmsdobler                                                   *
 *                                                                      *
 ************************************************************************/

#define RT_BMC1000_VERSION		0x000001
#define RT_BMC1000_ID 			("rt_bmc1000: ")

#define RT_BMC1000_ADC_PM10		(0x00)		/* [ -10,  10   ] Volt */
#define RT_BMC1000_ADC_PM5		(0x20)		/* [  -5,   5   ] Volt */
#define RT_BMC1000_ADC_PM2		(0x40)		/* [  -2,   2   ] Volt */
#define RT_BMC1000_ADC_PM1		(0x60)		/* [  -1,   1   ] Volt */


/*
 *	rt_bmc1000_mux_range  --- set the analogue input
 *	range as defined in header file for channel [0-15].
 */
extern void rt_bmc1000_mux_select(	unsigned int channel,
							        unsigned int range_code );


/*
 *	rt_bmc1000_aget  ---  get analogue input sample, assumes
 *	that channel is already set with its range.
 */ 
extern unsigned short int rt_bmc1000_aget( void );


/*
 *	rt_bmc1000_aset  ---  set analogue output values.
 *	Channel must be 0-1.
 */ 
extern void rt_bmc1000_aset( unsigned short int channel,
					         unsigned short int value );


/*
 *	rt_bmc1000_init  --- initialises the DAQ board,
 *	but is called form init_module of rt_control.
 *	printk is used only for insmod error messages.
 */
extern int rt_bmc1000_init( void );

	 
/*
 *	rt_bmc1000_release  --- releases the DAQ board,
 *	but is called form init_module of rt_control.
 */
extern void rt_bmc1000_release( void );
