/************************************************************************
 *                                                                      *
 *  shm.h  ---  shared memory between rt_control.c and control.c.       *
 *                                                                      *
 *  This file is part of the control/rt_control/xcontrol package which  *
 *  is free software; you can redistribute it and/or modify it under    *
 *  the terms of the version 2 of GNU General Public License as         *
 *  published by the Free Software Foundation.                          *
 *                                                                      *
 *  This program is distributed in the hope that it will be useful,     *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       *
 *  GNU General Public License for more details.                        *
 *                                                                      *
 *  You should have received a copy of the GNU General Public License   *
 *  along with the control/rt_control/xcontrol package; if not, write   *
 *  to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge,     *
 *  MA 02139, USA.                                                      *
 *                                                                      *
 *  Copyleft 1999                                                       *
 *  Peter Wurmsdobler                                                   *
 *                                                                      *
 ************************************************************************/

#define SHM_DEV_FILE	( "/dev/mbuff" )
#define SHM_NAME		( "control" )
#define SHM_SIZE 		( sizeof(shm_t) )

/*
 *	This is the shared memory definition for all variables
 *	exchanged between the rt-module and the user space 
 *	application.
 */
typedef struct 
	{
    unsigned int N;    		         /* length of measured vectors */
    unsigned short int w;            /* {0,65535}, setpoint */
    unsigned short int u[SAMPLES];   /* {0,65535}, control current */
    unsigned short int y[SAMPLES];   /* {0,65535}, measured position */
	int a[LENGTH];	                 /* scaled control denominator of ORDER+1 */
	int b[LENGTH];                   /* scaled control numerator of ORDER+1 */
	}
	shm_t;
