/************************************************************************
 *                                                                      *
 *  xcontrol.c  ---  header file for xcontrol.c.                        *
 *                                                                      *
 *  This file is part of the control/rt_control/xcontrol package which  *
 *  is free software; you can redistribute it and/or modify it under    *
 *  the terms of the version 2 of GNU General Public License as         *
 *  published by the Free Software Foundation.                          *
 *                                                                      *
 *  This program is distributed in the hope that it will be useful,     *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       *
 *  GNU General Public License for more details.                        *
 *                                                                      *
 *  You should have received a copy of the GNU General Public License   *
 *  along with the control/rt_control/xcontrol package; if not, write   *
 *  to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge,     *
 *  MA 02139, USA.                                                      *
 *                                                                      *
 *  Copyleft 1999                                                       *
 *  Peter Wurmsdobler                                                   *
 *                                                                      *
 ************************************************************************/

/*
 *	definition of control parameters
 */
extern gfloat w;			/* set point */
extern gint N;				/* number of samples samples */
extern gfloat a[LENGTH];	/* denominator of dicrete transfer function */
extern gfloat b[LENGTH];	/* numberator of dicrete transfer function */

/************************************************************************
 *  definition of widgets and function which are used in other files    *
 ************************************************************************/

extern GtkWidget *Xcontrol_Window;
extern GtkWidget *Xcontrol_Window_Menu;
extern GtkWidget *Xcontrol_Window_Container;
extern GtkWidget *Xcontrol_Window_W_Entry;
extern GtkWidget *Xcontrol_Window_N_Entry;
extern GtkWidget *Xcontrol_Window_Start_Button;

extern GtkStyle *ButtonStyle;
extern GdkColor ButtonNormalColor;
                  
void xcontrol_measure_start_menu_activate( void );
                                               
void xcontrol_measure_stop_menu_activate( void ) ;                                              

extern GtkWidget *Xcontrol_Window_Menu;

extern gchar *measure_x_title;

void main_menu_quit_menu_activate( void );
                                               
extern int xcontrol_init( void ); 
